## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SchemaASABaseLoader.ASABaseTableLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
              org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseTableLoader

Direct Known Subclasses:
  SchemaASALoader.ASATableLoader

Enclosing class:
  SchemaASABaseLoader

    public static class SchemaASABaseLoader.ASABaseTableLoader

extends JDBCTableLoader

Nested Class Summary
`static class` `SchemaASABaseLoader.ASABaseTableLoader.ASABaseGlobalTempTableFactory`
`static class` `SchemaASABaseLoader.ASABaseTableLoader.ASABaseProxyTableFactory`
`static class` `SchemaASABaseLoader.ASABaseTableLoader.ASABaseViewFactory`

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`JDBCTableLoader.GlobalTempTableFactory, JDBCTableLoader.ITableFactory, JDBCTableLoader.LocalTempTableFactory, JDBCTableLoader.TableFactory, JDBCTableLoader.ViewFactory`

Field Summary
`static java.lang.String` `BASE_TABLE`
`static java.lang.String` `GLOBAL_TEMP_TABLE`
`static java.lang.String` `PROXY_TABLE`
`static java.lang.String` `TABLE_VIEW`

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`COLUMN_REF_GENERATION, COLUMN_REMARKS, COLUMN_SELF_REFERENCING_COL_NAME, COLUMN_TABLE_NAME, COLUMN_TABLE_TYPE, TYPE_GLOBAL_TEMPORARY, TYPE_LOCAL_TEMPORARY, TYPE_REF_DERIVED, TYPE_REF_SYSTEM, TYPE_REF_USER, TYPE_SYSTEM_TABLE, TYPE_TABLE, TYPE_VIEW`

Constructor Summary
`SchemaASABaseLoader.ASABaseTableLoader(ICatalogObject catalogObject)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`clearTables, getTableFactory, loadTables, loadTables, registerTableFactory, unregisterTableFactory`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASE_TABLE

    public static final java.lang.String BASE_TABLE

See Also:
  Constant Field Values

### PROXY_TABLE

    public static final java.lang.String PROXY_TABLE

See Also:
  Constant Field Values

### TABLE_VIEW

    public static final java.lang.String TABLE_VIEW

See Also:
  Constant Field Values

### GLOBAL_TEMP_TABLE

    public static final java.lang.String GLOBAL_TEMP_TABLE

See Also:
  Constant Field Values

Constructor Detail

### SchemaASABaseLoader.ASABaseTableLoader

    public SchemaASABaseLoader.ASABaseTableLoader(ICatalogObject catalogObject)